#!/bin/sh

if [ -n "$1" ]
then
  DIST_DIR="$1"
else
  exit 1
fi

if [ -n "$2" ]
then
  DIST_DIR="$2/$DIST_DIR"
fi

for i in `cat distfiles`
do
  if [ -f "$i" ]
  then
    cp --verbose -a "$i" "$DIST_DIR/$i"
  elif [ -d "$i" ]
  then
    mkdir --verbose -p "$DIST_DIR/$i"
  else
    exit 1
  fi
done

