ifneq ($(KERNELRELEASE),)
# Makefile as seen by kernel

EXTRA_CFLAGS = -I$(TOPSRCDIR) -I$(TOPSRCDIR)/include

obj-m = drcom.o
drcom-y = init.o proc.o proto.o

else
# Makefile as seen by upper level Makefile

MODULES = drcom.ko

.PHONY: all install

all:
	$(MAKE) -C $(KERNELDIR) M=$(shell pwd) modules

install: all
	$(MAKE) -C $(KERNELDIR) M=$(shell pwd) INSTALL_MOD_PATH=$(DESTDIR) modules_install
ifeq ($(DESTDIR),)
	depmod -a $(KERNELVERSION)
else
	depmod -a -b $(DESTDIR) $(KERNELVERSION)
endif

endif
