#include "drcom_linux.h"

#include "config.h"
#include "proc.h"
#include "proto.h"

/* maybe declare them static? */

int drcom_init(void);
void drcom_exit(void);

int drcom_init()
{
#if (MAJOR_MINOR_IS(2,4))
  EXPORT_NO_SYMBOLS;
#endif
  init_proc();
  init_proto();
#ifdef DEBUG
  printk("drcom.o loaded.\n");
#endif
  return 0;
}

void drcom_exit()
{
  cleanup_proto();
  cleanup_proc();
#ifdef DEBUG
  printk("drcom.o unloaded.\n");
#endif
  return;
}

module_init(drcom_init)
module_exit(drcom_exit)

MODULE_LICENSE("GPL");
MODULE_AUTHOR("William Poetra Yoga Hadisoeseno");
MODULE_DESCRIPTION("Provides authentication for drcom");

