#!/bin/sh

if [ -z "$1" ]
then
  UNAME_S=`uname -s`
  UNAME_R=`uname -r`
  case "$UNAME_S" in
  Linux) KERNEL_NAME=linux
         case "$UNAME_R" in
         2.4.*) KERNEL_RELEASE=24;;
         2.6.*) KERNEL_RELEASE=26;;
             *) echo "Not supported!"
                exit 1
                ;;
         esac
         ;;
      *) echo "Error!"
         exit 1
         ;;
  esac
  MODULETYPE="$KERNEL_NAME$KERNEL_RELEASE"
else
  MODULETYPE="$1"
fi

echo "$MODULETYPE"

